$c_url = "$url/ecdiary.cgi";
$a_url = "$url/ecadmin.cgi";
$e_url = "$url/ecerase.cgi";
$w_url = "$url/ecwrite.cgi";
$s_url = "$url/ecsave.cgi";
$r_url = "$url/ecread.cgi";

sub parse {
	if($ENV{'REQUEST_METHOD'} eq "GET") {
		$buffer = $ENV{'QUERY_STRING'};
	}
	else {
		read( STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
	}
	@pairs = split(/&/,$buffer);
	foreach $pair( @pairs ) {
		($name,$value)=split(/=/,$pair);
		$value =~ tr/+/ /;
		$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C",hex($1))/eg;
		unless (($name eq 'comments') || ($name eq 'html_up') || ($name eq 'html_down')) {
			$value =~ s/<([^>]|\n)*>//g;
		}
	$FORM{$name} = $value;
	}
	if($FORM{'db'}){
		$main_dir = "$dir/$FORM{'db'}";
		}
	&selectAction;
}

sub get_conf{
	unless(-e "$main_dir/conf.txt"){
		mkdir("$main_dir/data",0777);
		open(DATA, ">$main_dir/data/data.txt");
		print DATA "|0|0|\n";
		close(DATA);
	}
	if(open(CONF,"<$main_dir/conf.txt")){
		$conf_list = <CONF>;
		close(CONF);
		@conf = split(/\|/,$conf_list);
		$admin_pass = $conf[1];
		$titimgurl = $conf[2];
		$title = $conf[3];
		$titcolor = $conf[4];
		$homeurl = $conf[5];
		$hometar = $conf[6];
		$userwrite = $conf[7];
		$userreply = $conf[8];
		$html = $conf[9];
		$max_data = $conf[10];
		$list_num = $conf[11];
		$quick_num = $conf[12];
		$tablesize = $conf[13];
		$msover = $conf[14];
		$bgcolor = $conf[15];
		$bgimage = $conf[16];
		$tbgcolor = $conf[17];
		$tbgimage = $conf[18];
		$tclcolor = $conf[19];
		$ttxtcolor = $conf[20];
		$clcolor[1] = $conf[21];
		$txtcolor[1] = $conf[22];
		$clcolor[2] = $conf[23];
		$txtcolor[2] = $conf[24];
		$amenu = $conf[25];
		$vmenu = $conf[26];
		$btitle = $conf[27];
	}
	else{
		$cryptpass = $global_pass;
		$titimgurl = "";
		$title = "ECDiary by EZ2CGI";
		$titcolor = "#0000FF";
		$homeurl = "";
		$hometar = "";
		$userwrite = "yes";
		$userreply = "yes";
		$html = "yes";
		$max_data = "10000";
		$list_num = "10";
		$quick_num = "10";
		$tablesize = "600";
		$msover = "#FFFFFF";
		$bgcolor = "#C0CBFF";
		$bgimage = "";
		$tbgcolor = "#C0CBFF";
		$tbgimage = "";
		$tclcolor = "#728DD7";
		$ttxtcolor = "#FFFFFF";
		$clcolor[1] = "#D5E7FF";
		$txtcolor[1] = "#2D71FF";
		$clcolor[2] = "DFEFFF";
		$txtcolor[2] = "#4735DA";
		$amenu = "#4735DA";
		$vmenu = "#728DD7";
		$btitle = "ECDiary by EZ2CGI";
		&put_conf;
	}
}

sub put_conf {
	open(CONF,">$main_dir/conf.txt");
	print CONF "|$cryptpass|$titimgurl|$title|$titcolor|$homeurl|$hometar|$userwrite|$userreply|$html|$max_data|$list_num|$quick_num|$tablesize|$msover|$bgcolor|$bgimage|$tbgcolor|$tbgimage|$tclcolor|$ttxtcolor|$clcolor[1]|$txtcolor[1]|$clcolor[2]|$txtcolor[2]|$amenu|$vmenu|$btitle|\n";
	close(CONF);
}

sub getdate {
	($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
	if($sec < 10) { $sec = "0$sec"; }
	if($min < 10) { $min = "0$min"; }
	if($hour < 10) { $hour = "0$hour"; }
	$mon++;
	if($mon < 10) { $mon = "0$mon"; }
	if($mday < 10) { $mday = "0$mday"; }
	if($year < 1000){ $year = $year+1900; }
	$date = "$year/$mon/$mday";
	$time = "$hour:$min:$sec";
}

sub head {
print "Content-type: text/html\n\n";
print <<START;
<html>
<head><title>$btitle</title></head>
<style type='text/css'>
<!--
BODY, table, tr, td{
font-family: , , ü, verdana, arial, helvetica, sans-serif;
font-size: 9pt;
}
INPUT.text,INPUT.file,SELECT,TEXTAREA{color:black;background-color:white;border:1 solid black}{font-size:9pt}
A:link    {font:9pt ;color:$amenu;text-decoration:none;}
A:visited {font:9pt ;color:$vmenu;text-decoration:none;}
A:active  {font:9pt ;color:$amenu;text-decoration:none;}
A:hover  {font:9pt ;color:$amenu;text-decoration:underline;}
-->
</style>
<script language=\"JavaScript\">
function newin(width,height,url,name) {
msgWindow=window.open(url,name,'statusbar=no,scrollbars=yes,status=no,resizable=yes,width='+width+',height='+height)
}
</script></head>
START
	if ($bgimage eq ""){
	print"<body bgcolor=$bgcolor text=$txtcolor[2]>\n";
	}
	else {
	print"<body background=$bgimage text=$txtcolor[2]>\n";
	}
	print"<center>\n";
	if ($tbgimage eq "") {
print <<START;
<table border=1 cellpadding=5 cellspacing=0>
<tr><td align=center bgcolor=$tbgcolor bordercolordark=white bordercolorlight=#4F5EEB>
<font color=$titcolor>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;$title
&nbsp;&nbsp;&nbsp;&nbsp;</font></td></tr></table><p>
START
	}
	else {
	print "<img src=$tbgimage><p>\n";
	}
}

sub foot {
	print "<p align=center><a href=\"http://hyun.new21.net\" target=\"_blank\"><font color=$tclcolor>Powered by EZ2CGI</font></a>\n";
	print "</center></body></html>\n";
	exit;
}

sub error {
&head;
print <<START;
<p>&nbsp;<p>&nbsp;
<table border=1 cellpadding=5 cellspacing=0>
<tr><td align=center bgcolor=$tbgcolor bordercolordark=white bordercolorlight=#4F5EEB>
<table border=1 cellpadding=2 cellspacing=0 bordercolordark=white bordercolorlight=#A5B7FF>
<tr><td width=350 align=center bgcolor=$tclcolor><font color=$ttxtcolor></font></td></tr>
<tr><td align=center bgcolor=$clcolor[1]>
<p style="line-height:150%;"><br><br><font color=red> ERROR </font><br>$err<br>
<a href="javascript:history.go(-1)"> ڷ </a>
<br><br><br></td></tr></table></td></tr></table>
START
&foot;
}

sub msg {
&head;
print <<START;
<META HTTP-EQUIV=Refresh CONTENT=0;URL=$c_url?db=$FORM{'db'}>
<p>&nbsp;<p>&nbsp;<p>&nbsp;<hr width=300 noshade>$messageǾϴ.
<hr width=300 noshade><a href=$c_url?db=$FORM{'db'}>ϱ ư</a>
START
&foot;
}

sub opn {
    open(FILE,"<$main_dir/data/$num");
    $data = <FILE>;
    close (FILE);
    @wdata= split(/\|/,$data);
}

sub read_cookie{
	if($ENV{'HTTP_COOKIE'}) {
		@cookies = split(/; /,$ENV{'HTTP_COOKIE'});
		foreach(@cookies) {
			($name,$value) = split(/=/,$_);
			$COOKIE{$name} = $value;
		}
	}
}
1;
